| ealistat

## Function

Statistics for multiple alignment files

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Here is a sample session with ealistat

    % ealistat ../ehmmalign-keep/globins630.ali
    Statistics for multiple alignment files
    Output file [globins630.ealistat]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-infile]            infile     Alignment file
      [-outfile]           outfile    Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -additional         boolean    Show additional information
       -fast               boolean    Use sampling method

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-infile] (Parameter 1) | Alignment file | Input file | Required
[-outfile] (Parameter 2) | Output file name | Output file | <sequence>.ealistat
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-additional | Show additional information | Boolean value Yes/No | No
-fast | Use sampling method | Boolean value Yes/No | No

## Input file format

ealistat reads any normal sequence USAs.

### Input files for usage example

### File: ../ehmmalign-keep/globins630.ali

    #=AU HMMER 2.1.1
    #=SQ BAHG_VITSP 1.0000 - - 0..0::0 -
    #=SQ GLB1_ANABR 1.0000 - - 0..0::0 -
    #=SQ GLB1_ARTSX 1.0000 - - 0..0::0 -
    #=SQ GLB1_CALSO 1.0000 - - 0..0::0 -
    #=SQ GLB1_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB1_GLYDI 1.0000 - - 0..0::0 -
    #=SQ GLB1_LUMTE 1.0000 - - 0..0::0 -
    #=SQ GLB1_MORMR 1.0000 - - 0..0::0 -
    #=SQ GLB1_PARCH 1.0000 - - 0..0::0 -
    #=SQ GLB1_PETMA 1.0000 - - 0..0::0 -
    #=SQ GLB1_PHESE 1.0000 - - 0..0::0 -
    #=SQ GLB1_SCAIN 1.0000 - - 0..0::0 -
    #=SQ GLB1_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB2_ANATR 1.0000 - - 0..0::0 -
    #=SQ GLB2_CALSO 1.0000 - - 0..0::0 -
    #=SQ GLB2_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB2_LUMTE 1.0000 - - 0..0::0 -
    #=SQ GLB2_MORMR 1.0000 - - 0..0::0 -
    #=SQ GLB2_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB3_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB3_CHITP 1.0000 - - 0..0::0 -
    #=SQ GLB3_LAMSP 1.0000 - - 0..0::0 -
    #=SQ GLB3_MORMR 1.0000 - - 0..0::0 -
    #=SQ GLB3_MYXGL 1.0000 - - 0..0::0 -
    #=SQ GLB3_PETMA 1.0000 - - 0..0::0 -
    #=SQ GLB3_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB4_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB4_GLYDI 1.0000 - - 0..0::0 -
    #=SQ GLB4_LUMTE 1.0000 - - 0..0::0 -
    #=SQ GLB4_TYLHE 1.0000 - - 0..0::0 -
    #=SQ GLB5_PETMA 1.0000 - - 0..0::0 -
    #=SQ GLB6_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB7_ARTSX 1.0000 - - 0..0::0 -
    #=SQ GLB7_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB8_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLB9_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBA_ANATR 1.0000 - - 0..0::0 -
    #=SQ GLBA_SCAIN 1.0000 - - 0..0::0 -
    #=SQ GLBB_ANATR 1.0000 - - 0..0::0 -
    #=SQ GLBB_SCAIN 1.0000 - - 0..0::0 -
    #=SQ GLBC_CAUAR 1.0000 - - 0..0::0 -
    #=SQ GLBC_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBD_CAUAR 1.0000 - - 0..0::0 -
    #=SQ GLBD_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBE_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBF_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBH_CHITH 1.0000 - - 0..0::0 -
    #=SQ GLBI_CHITP 1.0000 - - 0..0::0 -
    #=SQ GLBM_ANATR 1.0000 - - 0..0::0 -

      [Part of this file has been deleted for brevity]

    MYG_GALJA   ...................
    MYG_GLOME   ...................
    MYG_GORBE   ...................
    MYG_GRAGE   ...................
    MYG_HALGR   ...................
    MYG_HETPO   ...................
    MYG_HORSE   ...................
    MYG_HUMAN   ...................
    MYG_HYLAG   ...................
    MYG_INIGE   ...................
    MYG_KOGSI   ...................
    MYG_LAGLA   ...................
    MYG_LAGMA   ...................
    MYG_LEPMU   ...................
    MYG_LOXAF   ...................
    MYG_LUTLU   ...................
    MYG_LYCPI   ...................
    MYG_MACFA   ...................
    MYG_MACRU   ...................
    MYG_MEGNO   ...................
    MYG_MELME   ...................
    MYG_MESCA   ...................
    MYG_MOUSE   ...................
    MYG_MUSAN   ...................
    MYG_NYCCO   ...................
    MYG_OCHPR   ...................
    MYG_ORCOR   ...................
    MYG_ORNAN   ...................
    MYG_ORYAF   ...................
    MYG_PANTR   ...................
    MYG_PAPAN   ...................
    MYG_PERPO   ...................
    MYG_PHOPH   ...................
    MYG_PHYCA   ...................
    MYG_PIG     ...................
    MYG_PONPY   ...................
    MYG_PROGU   ...................
    MYG_RABIT   ...................
    MYG_ROUAE   ...................
    MYG_SAISC   ...................
    MYG_SHEEP   ...................
    MYG_SPAEH   ...................
    MYG_TACAC   ...................
    MYG_THUAL   ...................
    MYG_TUPGL   ...................
    MYG_TURTR   ...................
    MYG_VARVA   ...................
    MYG_VULCH   ...................
    MYG_ZALCA   ...................
    MYG_ZIPCA   ...................

## Output file format

ealistat outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: globins630.ealistat

    alistat 1.5m, Sept 1997

    Format:              SELEX alignment
    Number of sequences: 630
    Total # residues:    91425
    Smallest:            121
    Largest:             162
    Average length:      145.1
    Alignment length:    469
    Average identity:    25%
    Most related pair:   99%
    Most unrelated pair: 0%
    Most distant seq:    6%

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
ehmmalign | Align sequences with an HMM
ehmmbuild | Build HMM
ehmmcalibrate | Calibrate a hidden Markov model
ehmmconvert | Convert between HMM formats
ehmmemit | Extract HMM sequences
ehmmfetch | Extract HMM from a database
ehmmindex | Index an HMM database
ehmmpfam | Align single sequence with an HMM
ehmmsearch | Search sequence database with an HMM

## Author(s)

This program is an EMBOSS conversion of a program written by Sean Eddy as part of his HMMER package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.